Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsXRedeliveryHandler

    java.lang.Object
      org.mule.transport.jms.JmsXRedeliveryHandler

All Implemented Interfaces:
  RedeliveryHandler

    public class JmsXRedeliveryHandler

extends Object
implements RedeliveryHandler

A redelivery handler which relies on JMS provider's redelivery count facilities.

See Also:
  `JmsConstants.JMS_X_DELIVERY_COUNT`

Field Summary
`protected JmsConnector` | `connector`
`protected static Log` | `logger` logger used by this class

Constructor Summary
`JmsXRedeliveryHandler()`

Method Summary
`void` | `handleRedelivery(Message message)` process the redelivered message.
`void` | `setConnector(JmsConnector connector)` The connector associated with this handler is set before `handleRedelivery()` is called

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

### connector

    protected JmsConnector connector

Constructor Detail

### JmsXRedeliveryHandler

    public JmsXRedeliveryHandler()

Method Detail

### setConnector

    public void setConnector(JmsConnector connector)

  The connector associated with this handler is set before `handleRedelivery()` is called

  Specified by:
    `setConnector` in interface `RedeliveryHandler`
  Parameters:
    `connector` - the connector associated with this handler

### handleRedelivery

    public void handleRedelivery(Message message)
                          throws JMSException,
                                 MuleException

  process the redelivered message. If the Jms receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector Exception Handler.

  Specified by:
    `handleRedelivery` in interface `RedeliveryHandler`
  Parameters:
    `message` - the redelivered message
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MuleException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.